svn resolve command does not allow --non-interactive

Post here any ideas/problems/suggestions you have regarding CodeLite's Subversion (SVN) plugin
elkvis
CodeLite Enthusiast
Posts: 18
Joined: Wed Jul 21, 2010 5:17 pm
Genuine User: Yes
IDE Question: C++
Contact:

svn resolve command does not allow --non-interactive

Post by elkvis » Wed Sep 08, 2010 6:00 am

when I have conflicted files, I have to resolve them at the command line because the svn plugin for codelite insists on using the --non-interactive parameter to the svn program, which is not allowed for the resolved command.

how can I change it so that it does not use --non-interactive? I have looked through configuration folders and files, and have found nothing that will change it. is it hard coded in the program?

User avatar
eranif
CodeLite Plugin
Posts: 5927
Joined: Wed Feb 06, 2008 9:29 pm
Genuine User: Yes
IDE Question: C++
Contact:

Re: svn resolve command does not allow --non-interactive

Post by eranif » Wed Sep 08, 2010 8:44 am

It is hard coded in the plugin. However, I dont have this problem. Which svn client version are using? (I am using 1.6)
Also: OS? codelite version?
Eran
Make sure you have read the HOW TO POST thread

elkvis
CodeLite Enthusiast
Posts: 18
Joined: Wed Jul 21, 2010 5:17 pm
Genuine User: Yes
IDE Question: C++
Contact:

Re: svn resolve command does not allow --non-interactive

Post by elkvis » Wed Sep 08, 2010 6:53 pm

I am using svn 1.4.4 on opensuse 10.3

User avatar
eranif
CodeLite Plugin
Posts: 5927
Joined: Wed Feb 06, 2008 9:29 pm
Genuine User: Yes
IDE Question: C++
Contact:

Re: svn resolve command does not allow --non-interactive

Post by eranif » Wed Sep 08, 2010 8:06 pm

This issue does not exist with svn client 1.6

If you have the ability to upgrade your SVN client - then go for it, otherwise you will have to wait for next release (unless you are using svn version and this issue was fixed already)

Eran
Make sure you have read the HOW TO POST thread

elkvis
CodeLite Enthusiast
Posts: 18
Joined: Wed Jul 21, 2010 5:17 pm
Genuine User: Yes
IDE Question: C++
Contact:

Re: svn resolve command does not allow --non-interactive

Post by elkvis » Wed Sep 08, 2010 9:58 pm

well that's good to know, as I'm upgrading my systems to OpenSuse 11.3 next week, which ships with svn 1.6.9.

Post Reply